<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJS Events</title>
      
      <!-- Angular Javascript File -->
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/ang_events.js"></script>
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
      <link rel="stylesheet" href="resource/css/ang_events.css">
   </head>
   <body>
      <div id="angularEvents" class="container">
         <h1 align="center" class="text-primary">AngularJS - Events Example</h1>
         <hr />
         
         <!------ ANGULAR JS EVENTS EXAMPLE ------>
         <div ng-app="myApp" ng-controller="myCtrl">
         	<table class="table">
         		<thead>
         			<tr>
         				<th scope="col"><a href="#" ng-click="sortType = 'name'; sortOrder = !sortOrder">Name</a></th><th scope="col">Likes</th><th scope="col">Dislikes</th><th scope="col">Like or Dislike?</th><th scope="col"></th><th scope="col">Comments</th>
         			</tr>
         		</thead>
         		<tbody>
         			<tr ng-repeat="car in cars | orderBy:sortType:sortOrder" ng-class="rollClass" ng-mouseenter="rollClass = 'highlight'" ng-mouseleave="rollClass = ''">
         				<td>{{ car.name }}</td>
         				<td>{{ car.likes }}</td>
         				<td>{{ car.dislikes }}</td>
         				<td>
         					<span id="likeBtnSpan">
         						<button id="likeBtn" type="submit" class="btn btn-outline-success" ng-click="incrementLikes(car)">Like</button>
         					</span>
         					<span id="btnSpace" class="space"></span>
         					<span id="disLikeBtnSpan">
         						<button id="dislikeBtn" type="submit" class="btn btn-outline-warning" ng-click="incrementDislikes(car)">Dislike</button>
         					</span>
         				</td>
         				<td>
         					<input id="remark" name="remark" type="text" class="form-control form-control-sm" placeholder="Enter comments ..." ng-model="remark" ng-change="ownerReview(this)" />
         				</td>
         				<td>{{ remark }}</td>
         			</tr>
         		</tbody>
         	</table>
         </div>
      </div>
   </body>
</html>