/* 
 * Description - AngularJS Script for initializing the technologies list and performing the Angular events principle
 * Created By - Yatin Batra  
 * */

var mainApp = angular.module("myApp", []);

mainApp.controller("myCtrl", [ '$scope', function($scope) {

	$scope.sortType = 'name'; 		// Set the default sort type
	$scope.sortOrder  = false; 		// Set the default sort order	

	// Create the list of car types
	$scope.cars = [
	               { name: "Mercedes-Benz", likes:0, dislikes:0 },
	               { name: "Ferrari", likes: 0, dislikes: 0 },
	               { name: "Audi", likes: 0, dislikes: 0 },
	               { name: "Volvo", likes: 0, dislikes: 0 },
	               { name: "BMW", likes: 0, dislikes: 0 }, 
	               { name: "Lamborghini", likes: 0, dislikes: 0 }];

	$scope.incrementLikes = function (car) {
		car.likes++;
	};

	$scope.incrementDislikes = function (car) {
		car.dislikes++;
	};

	$scope.ownerReview = function ($event) {
		$scope.remark = $event.target;	
	};
} ]);